/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package servidor.utiles;

import java.util.*;

public class ListaComandos {

   LinkedList<String> lista = new LinkedList<>();
   ListIterator<String> iter;

   public ListaComandos() {
      iter = lista.listIterator();
   }

   public void reset() {
      while (iter.hasNext()) {
         iter.next();
      }
   }

   public void add(String comando) {
      reset();
      iter.add(comando);
   }

   public String anterior() {
      if (iter.hasPrevious()) {
         return iter.previous();
      }
      return null;
   }

   public String posterior() {
      if (iter.hasNext()) {
         return iter.next();
      }
      return null;
   }
}
